## org.omg.CORBA.ORBPackage
Class InvalidName

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--org.omg.CORBA.ORBPackage.InvalidName

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, IDLEntity, java.io.Serializable

public final class InvalidName
extends UserException

See Also:
  Serialized Form

Constructor Summary
`InvalidName()`
`InvalidName(java.lang.String reason_str)`

Methods inherited from class org.omg.CORBA.UserException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidName

    public InvalidName()

### InvalidName

    public InvalidName(java.lang.String reason_str)